Instalando o Alexa Media Player! Tenha suas Echo no Home Assistant!

Leandro, obrigado, vou continuar batalhando aqui pra entender o que acontece…

Abs,

1 Like

Pessoal, testei um cenário aqui renomeando os arquivos que estavam com o “X” reportado pelo @LeandroIssa e funcionou perfeitamente.

Fiz o seguinte, renomeei, nas pastas “translations” e “.translations” (pasta oculta), os arquivos:

Já atualizaram o componente e já está com a tradução correta, não precisa mexer em nada + nos arquivos. Para evitar + confusões até apaguei o post!

Aqui não dá pra marcar uma resposta como sendo a solução do problema ?

Igual como tem no fórum oficial e no do ST também.

Assim, bastaria responder e marcar como solução e todo mundo veria o que foi feito.

Depois da ultima atualizaçao de ontem 04/04/2022 do HA a Alexa de vocês também parou de funcionar? minha integração nao esta sendo reconhecida, não queria apagar e fazer do zero antes de consultar o fórum!! abraços

Para acrescentar este é o erro.

Setup failed for custom integration alexa_media: Requirements for alexa_media not found: [‘alexapy==1.25.3’].

Fala pessoal.

Já tem um bom tempo que não ajudo a comunidade, mas esse problema da Alexa Média Player também chegou no meu sistema.

E como a autenticação não estava sendo aceita de forma alguma, fui buscar ajuda direto na fonte e eis que ela é mais simples do que se pode imaginar.

Basta ir na sua conta da Amazon, nas configurações, parte de autenticação em 2 etapas e informar que quer adicionar um App de autenticação (Google Authenticator, por exemplo).

Ele vai mostrar um QRCode e logo abaixo tem uma opção para quem não consegue ler o código. Clicando nela, ele vai mostrar um sequencial bem grande para ser inserido diretamente no App. Copie e guarde para uso futuro (manda um mail para você mesmo apenas com o código).

No Google Authenticator, basta criar um novo autenticador, inserir um nome (Amazon, por exemplo) e o código. Ele já irá gerar um sequencial de 6 números que deve ser inserido na página da Amazon para tudo funcionar. Feito isso, não precisará mais esperar que a Amazon envie o código, pois poderá gerar diretamente no autenticador da Google.

E onde entra o pulo do gato? Lembra do sequencial imenso que o site da Amazon gerou para o App de autenticação? Coloca no lugar dos 6 dígitos na integração da Alexa Média Player e ele nunca mais pedirá mais nada. Sempre que precisar de nova autenticação, o próprio sistema irá buscar isso sem que você precise fazer mais nada :wink::stuck_out_tongue_winking_eye:

4 Likes

Tô só guardando as informações pra quando eu realmente precisar migrar.

Obrigado

Ola pessoal, sou novo aqui no Forum.
Eu fiz toda instalacao da Alexia Media Player, eu consigo ver o meu dispositivo, porem ele quando eu fiz uma chamada de servico para a Alexia falar uma frase, nada aconteceu e todas as entidades estao com o status de ‘unavailable’. mas quando eu toco uma musica na Echo dot o status muda. Somente quando eu tento fazer algo pelo HA q nada acontece.

Boa noite,

Estou começando com o Home Assistant e seguindo os tutoriais aqui do fórum. Porém estou com dificuldade de utilizar a integração alexa media player. Ao tentar fazer a configuração ele redireciona para uma pagina externa de login e esta após dar clicar em fazer login (ou qualquer outro link da página) dá o erro 500 Internal Server Error.

Como ainda estou começando tentei fazer uma instalação do zero apenas com o necessário para esta integração, mas tive o mesmo resultado. Para isso estava seguindo o tutorial aqui do fórum (tutorial alexa media player). Nesta nova instalação havia seguido os tutoriais: acesso externo (duckdns + nginx), samba share e HACS.

Obs.: O acesso externo está ok, consigo acessar utilizando a rede do celular.
Obs.2: Autenticação de duas etapas está ativa.

Captura de tela 2022-07-30 185554

Após o erro o seguinte log apareceu:

Logger: aiohttp.server
Source: custom_components/alexa_media/config_flow.py:870
Integration: alexa_media (documentation, issues)
First occurred: 18:55:18 (1 occurrences)
Last logged: 18:55:18

Error handling request
Traceback (most recent call last):
File “/usr/local/lib/python3.10/site-packages/httpcore/backends/asyncio.py”, line 109, in connect_tcp
stream: anyio.abc.ByteStream = await anyio.connect_tcp(
File “/usr/local/lib/python3.10/site-packages/anyio/_core/_sockets.py”, line 213, in connect_tcp
async with create_task_group() as tg:
File “/usr/local/lib/python3.10/site-packages/anyio/_backends/_asyncio.py”, line 662, in aexit
raise exceptions[0]
File “/usr/local/lib/python3.10/site-packages/anyio/_core/_sockets.py”, line 164, in try_connect
stream = await asynclib.connect_tcp(remote_host, remote_port, local_address)
File “/usr/local/lib/python3.10/site-packages/anyio/_backends/_asyncio.py”, line 1691, in connect_tcp
await get_running_loop().create_connection(
File “/usr/local/lib/python3.10/asyncio/base_events.py”, line 1049, in create_connection
sock = await self._connect_sock(
File “/usr/local/lib/python3.10/asyncio/base_events.py”, line 960, in _connect_sock
await self.sock_connect(sock, address)
File “/usr/local/lib/python3.10/asyncio/selector_events.py”, line 500, in sock_connect
return await fut
asyncio.exceptions.CancelledError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.10/site-packages/httpcore/_exceptions.py”, line 8, in map_exceptions
yield
File “/usr/local/lib/python3.10/site-packages/httpcore/backends/asyncio.py”, line 108, in connect_tcp
with anyio.fail_after(timeout):
File “/usr/local/lib/python3.10/site-packages/anyio/_core/_tasks.py”, line 118, in exit
raise TimeoutError
TimeoutError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.10/site-packages/httpx/_transports/default.py”, line 60, in map_httpcore_exceptions
yield
File “/usr/local/lib/python3.10/site-packages/httpx/_transports/default.py”, line 353, in handle_async_request
resp = await self._pool.handle_async_request(req)
File “/usr/local/lib/python3.10/site-packages/httpcore/_async/connection_pool.py”, line 253, in handle_async_request
raise exc
File “/usr/local/lib/python3.10/site-packages/httpcore/_async/connection_pool.py”, line 237, in handle_async_request
response = await connection.handle_async_request(request)
File “/usr/local/lib/python3.10/site-packages/httpcore/_async/connection.py”, line 86, in handle_async_request
raise exc
File “/usr/local/lib/python3.10/site-packages/httpcore/_async/connection.py”, line 63, in handle_async_request
stream = await self._connect(request)
File “/usr/local/lib/python3.10/site-packages/httpcore/_async/connection.py”, line 111, in _connect
stream = await self._network_backend.connect_tcp(**kwargs)
File “/usr/local/lib/python3.10/site-packages/httpcore/backends/auto.py”, line 29, in connect_tcp
return await self._backend.connect_tcp(
File “/usr/local/lib/python3.10/site-packages/httpcore/backends/asyncio.py”, line 107, in connect_tcp
with map_exceptions(exc_map):
File “/usr/local/lib/python3.10/contextlib.py”, line 153, in exit
self.gen.throw(typ, value, traceback)
File “/usr/local/lib/python3.10/site-packages/httpcore/_exceptions.py”, line 12, in map_exceptions
raise to_exc(exc)
httpcore.ConnectTimeout

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/usr/local/lib/python3.10/site-packages/aiohttp/web_protocol.py”, line 435, in _handle_request
resp = await request_handler(request)
File “/usr/local/lib/python3.10/site-packages/aiohttp/web_app.py”, line 504, in _handle
resp = await handler(request)
File “/usr/local/lib/python3.10/site-packages/aiohttp/web_middlewares.py”, line 117, in impl
return await handler(request)
File “/usr/src/homeassistant/homeassistant/components/http/security_filter.py”, line 60, in security_filter_middleware
return await handler(request)
File “/usr/src/homeassistant/homeassistant/components/http/forwarded.py”, line 222, in forwarded_middleware
return await handler(request)
File “/usr/src/homeassistant/homeassistant/components/http/request_context.py”, line 28, in request_context_middleware
return await handler(request)
File “/usr/src/homeassistant/homeassistant/components/http/ban.py”, line 79, in ban_middleware
return await handler(request)
File “/usr/src/homeassistant/homeassistant/components/http/auth.py”, line 236, in auth_middleware
return await handler(request)
File “/usr/src/homeassistant/homeassistant/components/http/view.py”, line 136, in handle
result = await result
File “/config/custom_components/alexa_media/config_flow.py”, line 870, in wrapped
return await cls.handler(request, **kwargs)
File “/usr/local/lib/python3.10/site-packages/authcaptureproxy/auth_capture_proxy.py”, line 375, in all_handler
resp = await getattr(self.session, method)(
File “/usr/local/lib/python3.10/site-packages/httpx/_client.py”, line 1842, in post
return await self.request(
File “/usr/local/lib/python3.10/site-packages/httpx/_client.py”, line 1527, in request
return await self.send(request, auth=auth, follow_redirects=follow_redirects)
File “/usr/local/lib/python3.10/site-packages/httpx/_client.py”, line 1614, in send
response = await self._send_handling_auth(
File “/usr/local/lib/python3.10/site-packages/httpx/_client.py”, line 1642, in _send_handling_auth
response = await self._send_handling_redirects(
File “/usr/local/lib/python3.10/site-packages/httpx/_client.py”, line 1679, in _send_handling_redirects
response = await self._send_single_request(request)
File “/usr/local/lib/python3.10/site-packages/httpx/_client.py”, line 1716, in _send_single_request
response = await transport.handle_async_request(request)
File “/usr/local/lib/python3.10/site-packages/httpx/_transports/default.py”, line 352, in handle_async_request
with map_httpcore_exceptions():
File “/usr/local/lib/python3.10/contextlib.py”, line 153, in exit
self.gen.throw(typ, value, traceback)
File “/usr/local/lib/python3.10/site-packages/httpx/_transports/default.py”, line 77, in map_httpcore_exceptions
raise mapped_exc(message) from exc
httpx.ConnectTimeout

Alguém teria alguma ideia do que posso estar fazendo de errado?
Se faltou alguma informação me avisem que providencio.

Desde já muito obrigado!

boa noite, instalei hj seguindo exatamente o procedimento desse video e funcionou